/2025-01/marketing-solutions/advertisers/{advertiser-id}/coupons/{id}/preview
curl --request GET \
--url https://api.criteo.com/2025-01/marketing-solutions/advertisers/{advertiser-id}/coupons/{id}/preview \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.criteo.com/2025-01/marketing-solutions/advertisers/{advertiser-id}/coupons/{id}/preview"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.criteo.com/2025-01/marketing-solutions/advertisers/{advertiser-id}/coupons/{id}/preview', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"<string>"/2025-01/marketing-solutions/advertisers/{advertiser-id}/coupons/{id}/preview
Get the preview of a specific Coupon
GET
/
2025-01
/
marketing-solutions
/
advertisers
/
{advertiser-id}
/
coupons
/
{id}
/
preview
/2025-01/marketing-solutions/advertisers/{advertiser-id}/coupons/{id}/preview
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The advertiser identifier.
The Coupon identifier to preview.
Query Parameters
The height of the coupon to preview.
The width of the coupon to preview.
Response
The preview HTML of a specific Coupon is returned.
The response is of type string.
Was this page helpful?
⌘I